*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

#div-1{
	background-color: green;
	display: inline;
}

#span1{
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
	vertical-align: bottom;
}

#span2{
	background-color: red;
	display: none;

}

#div-2{
	background-color: hotpink;
	display: none;
}

#img{
	display: inline-block;
	width: 250px;
	height: 250px;
}

#p-1{
	background-color: #87CEFA;
}

#p-2{
	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3{
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/
.img-float{
	width: 250px;
	height: 250px;
	/*float: right;*/
}

.box{
	background-color: yellow;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent{
	width: 50%;
}

.one-hundred-pixels{
	width: 100px;
}

.parent{
	width: 135px;
	border: 2px solid orange;
	font-size: 30px;
}

.fifty-vw{
	width: 50vw;
}

.twenty-five-vh{
	height: 25vh;
}

.one-rem{
	font-size: 1rem;
}
.one-em{
	font-size: 1em;
}

.two-rem{
	font-size: 2rem;
}

.two-em{
	font-size: 2em;
}

/*rem looks for the root element as reference*/
/*em looks for the parent element as reference*/


.two-hundred-percent{
	font-size: 200%;
}

.background{
	min-height: 20rem;
	/*background-color: gray;*/
	/*we can also use # or rgb*/
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

	/*round, no repeat*/
	background-repeat: no-repeat;
	/*50%, cover, contain, auto for bg size*/
	background-size: 100%;
	/*following the x & y axis*/
	background-position: center top;
	/*scroll is the default value of bg attachment*/
	background-attachment: fixed;
}

.bg-title{
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 35rem;
}


.container-bg{
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

.parent-element{
	background-color: skyblue;
	padding: 10px;
	height: 800vh;

}

.child-one{
	background-color: gray;
	padding: 10px;
}


.child-two{
	background-color: yellow;
	padding: 10px;
	/*default position is static; others are relative, fixed, sticky, absolute*/
	position: sticky;
	top: 10px;
	/*left: 10px;
	bottom: 10px;*/
}

.child-three{
	background-color: gray;
	padding: 10px;
}

/*html{
	height: 800vh;*/
}

.container{
	position: relative;
}

.black-box{
	border: 2px solid black;
	height: 100px;
	position: absolute;
	z-index: 1;
	margin: 30px;
}
.gray-box{
	background: lightgray;
	height: 60px;
	position: relative;
	z-index: 3;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box{
	background: lightgreen;
	height: 100px;
	position: absolute;
	z-index: 2;
	width: 350px;
	height: 100px;

}





